nuke-on-error: true
overrides:
  ceph:
    extra_packages: [libcephfs1, libcephfs-java, libcephfs-jni, ceph-test]
    #branch: wip-buck-fix-java

roles:
- [mon.0, mds.0]
- [mon.1, osd.0, hadoop.master.0]
- [mon.2, osd.1, client.0, hadoop.slave.0]

tasks:
- ssh_keys:
- install:
- ceph: 
- kclient: [client.0]
#- interactive:
#- hadoop:
- workunit: 
    clients:
      client.0: [libcephfs] 
